﻿using System;
using System.Collections.Generic;
using KendoUi.Library.ViewModels;

namespace KendoUi.Library.Services
{
    public class DefaultEmployeesService : IEmployeesService
    {
        public IEnumerable<Employee> GetEmployees()
        {
            return new List<Employee>()
            {
                new Employee()
                {
                    EmployeeId = 1,
                    FirstName = "Maria",
                    LastName = "Anders",
                    JobTitle = "Sales Representative",
                    BirthDate = new DateTime(1985, 9, 22),
                    HireDate = new DateTime(2010, 4, 1),
                    VacationDays = 24,
                    SickLeaveDays = 2,
                    Salary = 2000,
                    MaritalStatus = new ReferenceData() { Id = 1, Code="Married" }
                },
                new Employee()
                {
                    EmployeeId = 2,
                    FirstName = "Christina",
                    LastName = "Berglund",
                    JobTitle = "Order Administrator",
                    BirthDate = new DateTime(1975, 6, 17),
                    HireDate = new DateTime(2005, 7, 6),
                    VacationDays = 4,
                    SickLeaveDays = 2,
                    Salary = 3000,
                    MaritalStatus = new ReferenceData() { Id = 2, Code="Single" }
                },
                new Employee()
                {
                    EmployeeId = 3,
                    FirstName = "Frédérique",
                    LastName = "Citeaux",
                    JobTitle = "Marketing Manager",
                    BirthDate = new DateTime(1965, 8, 4),
                    HireDate = new DateTime(2007, 3, 2),
                    VacationDays = 6,
                    SickLeaveDays = 5,
                    Salary = 2500,
                    MaritalStatus = new ReferenceData() { Id = 2, Code="Married" }
                },
                new Employee()
                {
                    EmployeeId = 4,
                    FirstName = "Pedro",
                    LastName = "Afonso",
                    JobTitle = "Sales Associate",
                    BirthDate = new DateTime(1987, 8, 12),
                    HireDate = new DateTime(2012, 7, 6),
                    VacationDays = 17,
                    SickLeaveDays = 3,
                    Salary = 3500,
                    MaritalStatus = new ReferenceData() { Id = 2, Code="Single" }
                },
                new Employee()
                {
                    EmployeeId = 5,
                    FirstName = "Roland",
                    LastName = "Mendel",
                    JobTitle = "Sales Manager",
                    BirthDate = new DateTime(1974, 10, 8),
                    HireDate = new DateTime(1990, 8, 6),
                    VacationDays = 23,
                    SickLeaveDays = 7,
                    Salary = 5000,
                    MaritalStatus = new ReferenceData() { Id = 2, Code="Single" }
                }
            };
        }

        public IEnumerable<ReferenceData> GetMaritalStatus()
        {
            return new List<ReferenceData>()
            {
                new ReferenceData()
                {
                    Id = 1,
                    Code = "Married"
                },
                new ReferenceData()
                {
                    Id = 2,
                    Code = "Single"
                },
                new ReferenceData()
                {
                    Id = 3,
                    Code = "Divorced"
                }
            };
        }
    }
}